### Function

# GtkSource Encoding get_from_charset

#### Declaration [src]

    const GtkSourceEncoding*
    gtk_source_encoding_get_from_charset (
      const gchar* charset
    )

#### Description [src]

Gets a `GtkSourceEncoding` from a character set such as “UTF-8” or “ISO-8859-1”.

#### Parameters

`charset`

  Type: `const gchar*`

  A character set.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkSourceEncoding`

The corresponding `GtkSourceEncoding`, or `NULL` if not found.

The data is owned by the called function.
The return value can be `NULL`.